Bug 187902 - no parameter negotiation for xfig
no parameter negotiation for xfig
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 07:57 EDT by Christian Siegl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /usr/bin/xfig to pass through command args (250 bytes, patch)
2006-04-04 11:29 EDT, John Ellson
no flags Details | Diff

  None (edit)
Description Christian Siegl 2006-04-04 07:57:59 EDT
Description of problem:
It is not possible to negotiate parameters to xfig (or even xfig.bin) in the
command shell. Even "xfig -help" will not show the help. On each command xfig is
just opened. Beside this it is not possible to open a *.fig file in the command
shell. An empty figure is opened in each case.


Version-Release number of selected component (if applicable):
fc5
Xfig 3.2 patchlevel 4 (Protocol 3.2)


How reproducible:
always

Steps to Reproduce:
try to execute one of the following in your command shell
1. xfig -help
2. xfig -pap a4
3. xfig somefigfile.fig
  
Actual results:
an empty figure is always opened


Expected results:
i'd like to change the metric properties, the paper size or just open a file in
the command shell


Additional info:
none
Comment 1 John Ellson 2006-04-04 11:29:31 EDT
Created attachment 127300 [details]
patch to /usr/bin/xfig to pass through command args
Comment 2 Christian Siegl 2006-04-04 11:57:27 EDT
(In reply to comment #1)
> Created an attachment (id=127300) [edit]
> patch to /usr/bin/xfig to pass through command args
> 

Well, this fixes the problem that you could not use the '-help' option or open a
*.fig file in the command shell. But it is still not possible to negotiate
parameters like '-paper_size a4', '-metric', '-portrait' etc. That means, you
can negotiate these parameters but I don't see the result....
Comment 3 Ngo Than 2006-04-04 13:31:40 EDT
it's now fixed in rawhide. Thanks for your report.
Comment 4 Christian Siegl 2006-04-06 02:16:45 EDT
(In reply to comment #3)
> it's now fixed in rawhide. Thanks for your report.

I just installed x-fig 3.2.4-18 on  my system. It is still not possible to pass
through command arguments. For instance the '-help' option works fine but all
the other stuff mentioned above doesn't have any effect....
Comment 5 Ngo Than 2006-05-05 16:59:11 EDT
it's finally fixed in rawhide with 3.2.4-20. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.